Show / Hide Table of Contents

# Struct ImGuiViewportPtr

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetType()

###### Namespace: ImGuiNET

###### Assembly: ImGui.NET.dll

##### Syntax

    public struct ImGuiViewportPtr

### Constructors

| Improve this Doc View Source

#### ImGuiViewportPtr(ImGuiViewport*)

##### Declaration

    public ImGuiViewportPtr(ImGuiViewport*nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiViewport* | nativePtr |

| Improve this Doc View Source

#### ImGuiViewportPtr(IntPtr)

##### Declaration

    public ImGuiViewportPtr(IntPtr nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | nativePtr |

### Properties

| Improve this Doc View Source

#### DpiScale

##### Declaration

    public float DpiScale { get; }

##### Property Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### DrawData

##### Declaration

    public ImDrawDataPtr DrawData { get; }

##### Property Value

Type | Description
--- | ---
ImDrawDataPtr |

| Improve this Doc View Source

#### Flags

##### Declaration

    public ImGuiViewportFlags Flags { get; }

##### Property Value

Type | Description
--- | ---
ImGuiViewportFlags |

| Improve this Doc View Source

#### ID

##### Declaration

    public uint ID { get; }

##### Property Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### NativePtr

##### Declaration

    public ImGuiViewport*NativePtr { get; }

##### Property Value

Type | Description
--- | ---
ImGuiViewport* |

| Improve this Doc View Source

#### ParentViewportId

##### Declaration

    public uint ParentViewportId { get; }

##### Property Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### PlatformHandle

##### Declaration

    public IntPtr PlatformHandle { get; set; }

##### Property Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### PlatformHandleRaw

##### Declaration

    public IntPtr PlatformHandleRaw { get; set; }

##### Property Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### PlatformRequestClose

##### Declaration

    public bool PlatformRequestClose { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### PlatformRequestMove

##### Declaration

    public bool PlatformRequestMove { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### PlatformRequestResize

##### Declaration

    public bool PlatformRequestResize { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### PlatformUserData

##### Declaration

    public IntPtr PlatformUserData { get; set; }

##### Property Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### Pos

##### Declaration

    public Vector2 Pos { get; }

##### Property Value

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### RendererUserData

##### Declaration

    public IntPtr RendererUserData { get; set; }

##### Property Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### Size

##### Declaration

    public Vector2 Size { get; }

##### Property Value

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### WorkPos

##### Declaration

    public Vector2 WorkPos { get; }

##### Property Value

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### WorkSize

##### Declaration

    public Vector2 WorkSize { get; }

##### Property Value

Type | Description
--- | ---
System.Numerics.Vector2 |

### Methods

| Improve this Doc View Source

#### Destroy()

##### Declaration

    public void Destroy()

| Improve this Doc View Source

#### GetCenter()

##### Declaration

    public Vector2 GetCenter()

##### Returns

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### GetWorkCenter()

##### Declaration

    public Vector2 GetWorkCenter()

##### Returns

Type | Description
--- | ---
System.Numerics.Vector2 |

### Operators

| Improve this Doc View Source

#### Implicit(ImGuiViewport* to ImGuiViewportPtr)

##### Declaration

    public static implicit operator ImGuiViewportPtr(ImGuiViewport*nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiViewport* | nativePtr |

##### Returns

Type | Description
--- | ---
ImGuiViewportPtr |

| Improve this Doc View Source

#### Implicit(ImGuiViewportPtr to ImGuiViewport*)

##### Declaration

    public static implicit operator ImGuiViewport*(ImGuiViewportPtr wrappedPtr)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiViewportPtr | wrappedPtr |

##### Returns

Type | Description
--- | ---
ImGuiViewport* |

| Improve this Doc View Source

#### Implicit(IntPtr to ImGuiViewportPtr)

##### Declaration

    public static implicit operator ImGuiViewportPtr(IntPtr nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | nativePtr |

##### Returns

Type | Description
--- | ---
ImGuiViewportPtr |